pas2jni(1)

NAME
pas2jni - Free Pascal Java Native Interface generation tool

SYNOPSIS
pas2jni [options] <unit> [<unit2> <unit3> ...] Generate a Java native interface description and library from compiled Free Pascal units. pas2jni generates per unit 2 files: a library that provides access to the functions and procedures in the pascal unit in a manner that Java understands, and a .java file that describes the library, and can be used to access the library from Java.

OPTIONS

-U<path>
    Unit search path, semicolon delimited. Wildcards are allowed.

-L<name>
    Set output library name. By default, this is the name of the unit followed by 'jni'.

-P<name>
    Set Java package name. This is by default 'pas'.

-O<path>
    Set output path for Pascal files. This is the current directory, by default.

-J<path>
    Set output path for Java files. By default, this is 'pas'.

-D<prog>
    Set full path to the "ppudump" program. The ppudump program is needed to analyse the contents of the unit files.

-I<list>
    Include the list of specified objects in the output. The list is semicolon delimited. To read this list from a file use -I@<file>

-E <list>
    Exclude the list of specified objects from the output. The list is semicolon delimited. To read this list from a file use -E@<file>

-?  Show a help message.

EXAMPLES
The following will create a file pas/getopts.java and a library file getoptsjni.pas unit from the standard getopts unit: pas2jni units/x86_64-linux/getopts.ppu The following will create a file getopts.java and a library file pasgetopts.pas unit from the standard getopts unit: pas2jni -J. -O. -Lpasgetopts -units/x86_64-linux/getopts.ppu

SEE ALSO

    java(1) fpc(1) javapp(1)